# True built-in

The true built-in does nothing successfully.

## Syntax

- `true`

## Description

The true built-in does nothing. Any command line arguments are ignored.

## Exit status

The exit status of the true built-in is zero.

## Notes

The true built-in is a semi-special built-in.

The true and colon built-ins have the same effect, but true is a semi-special built-in while colon is a special.